#include "huc.h"
#include "cdplay_joy.c"

animateCD(cell)
			int cell;
{
	spr_set(1);
	spr_pal(0);
	spr_pri(1);
	spr_ctrl(SIZE_MAS|FLIP_MAS, SZ_32x16|NO_FLIP);
	spr_x(32);
	spr_y(32);
	spr_pattern(0x4000+0x0100*(cell/5));

	spr_set(2);
	spr_pal(0);
	spr_pri(1);
	spr_ctrl(SIZE_MAS|FLIP_MAS, SZ_32x16|NO_FLIP);
	spr_x(32);
	spr_y(48);
	spr_pattern(0x4080+0x0100*(cell/5));
}

main()
{
	int joy1,joyold,playing,track,cell;

	playing=0;
	track=2;
	cell=0;

	load_sprites(0x4000, CD_sprs, 40);
	set_sprpal(0, CD_pal);

	animateCD(0);
	put_string("Track",9,5);

	for(;;)
	{
		joy1=joystick(0);
		if(joy1==joyold){joy1=0;}
		else{joyold=joy1;}

		track+=((joy1&8)>>3)-((joy1&4)>>2);

		put_number(track,2,14,5);

		if(track<2){track=10;}
		if(track>10){track=2;}

		if((!playing && (joy1&16)>>4) ||
			 (joy1&8)>>3 ||
			 (joy1&4)>>2)
		{
			if(playing)
			{
				cd_pause();
				cd_playtrk(track,track+1,CDPLAY_NORMAL);
			}
			playing=1;
			joy1=0;
		}

		if(playing && (joy1&16)>>4)
		{cd_pause();playing=0;}

		if(playing)
		{
			animateCD(cell);
			cell++;
			if(cell==20){cell=0;}
		}

		satb_update();
		vsync(0);
	}
	return;
}

#incspr(CD_sprs, "cd.pcx", 2, 8);
#incpal(CD_pal, "cd.pcx");
